--
-- $Id$
--
-- <<Korte omschrijving wat het script doet>>

DEFINE thisfile = 'YKPN#40090.SQL'
DEFINE dbuser   = '^YKPN'
DEFINE custid   = 'YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Voorzie alle parkeerplaatsboekingen van een pincode
DECLARE
   CURSOR c
   IS
      SELECT TRUNC (bez_afspraak_datum),
             kw.bez_kenmerkwaarde_waarde,
             kw.bez_kenmerkwaarde_key,
             b.bez_bezoekers_key
        FROM bez_afspraak a,
             bez_bezoekers b,
             res_rsv_deel rrd,
             res_deel rd,
             ins_v_deel_gegevens d,
             (SELECT bez_kenmerkwaarde_waarde, bez_kenmerkwaarde_key, bez_bezoekers_key
                FROM bez_kenmerkwaarde kw
               WHERE bez_kenmerk_key = 1020) kw
       WHERE a.bez_afspraak_key = b.bez_afspraak_key
         AND b.bez_bezoekers_key = kw.bez_bezoekers_key(+)
         AND b.bez_bezoekers_key = rrd.bez_bezoekers_key
         AND rrd.res_deel_key = rd.res_deel_key
         AND rd.res_ins_deel_key = d.ins_deel_key
         AND kw.bez_kenmerkwaarde_waarde IS NULL;
BEGIN
   FOR rec IN c
   LOOP
      ykpn.set_bez_pincode (rec.bez_bezoekers_key);
   END LOOP;

   COMMIT;
END;
/  


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

@@ &custid